API / geotoolkit / map / sources / GeoTIFF / GeoTIFF
Data source for image in GeoTIFF format
↳
GeoTIFF
Constructors
- [new GeoTIFF(options)](/solutions/geotoolkit/GeoToolkit_JS/apis/classes/geotoolkit.map.sources.geotiff.geotiff.md#new geotiff(options))
Methods
Css Properties
| Name | Type | Description |
|---|---|---|
system | string | Initial data coordinate system |
url | string | Data server url |
Constructors
• new GeoTIFF(options?)
Creates GeoTIFF source
| Name | Type | Description |
|---|---|---|
Optional options | Options | options |
Image.constructor
Methods
▸ clear(): GeoTIFF
Notifies source to remove all data added.
this
▸ dispose(): void
Disposes this source, once disposed it should not be used anymore.<br>
void
▸ getClassName(): string
string
▸ getCopyright(): string
Returns copyright information.
string
▸ Protected getDataLoader(): AbstractLoader
Returns server data loader (if exists)
▸ getInflateRatio(): number
Returns current inflate ratio
number
▸ getInitialCoordinateSystem(): AbstractSystem
Gets current data initial coordinate system.
Image.getInitialCoordinateSystem
▸ getLayers(): LayerServerData[]
Returns layers JSON data loaded from the server Should be used asynchronically after loadServerData() method is called
▸ getMapCoordinateSystem(): AbstractSystem
Gets current map coordinate system.
▸ getModelLimits(): Rect
Returns the current data model limits (presumably loaded from the server if it's settled)
▸ getProperties(): OptionsOut
Returns properties
properties
▸ getServerData(): JSONObject | XMLDocument
Returns server data loaded from the server Should be used asynchronically after loadServerData() method is called
JSONObject | XMLDocument
▸ getServerURL(): string | string[]
Gets the server url that is currently used for requests
string | string[]
server url
▸ getSourceTimeout(): number
Returns timeout
number
▸ getTransformerFromMap(): Transformer
Gets transformer to transform data from map coordinate system
▸ getTransformerToMap(): Transformer
Gets transformer to transform data to map coordinate system
▸ getVisibleLayers(): (string | number)[]
Returns the server layer ids that are requested.
(string | number)[]
layers
▸ hasEventListener(type, callback?): boolean
Check if a list of event listeners for this type contains this listener
| Name | Type | Description |
|---|---|---|
type | string | type of event or property |
Optional callback | Function | to be called, if null, check if any callback is registered |
boolean
▸ hideLayers(id?): GeoTIFF
Adds the passed in ID's to the list of layers to hide
| Name | Type | Description |
|---|---|---|
Optional id | string | number | (string | number)[] | ID(s) for the layers to show |
this
▸ Protected initLoader(loader?): GeoTIFF
Initializes the loader provided
| Name | Type | Description |
|---|---|---|
Optional loader | AbstractLoader | loader to use |
this
▸ isDataLoaded(): boolean
Returns true if server data is already loaded (or no loader provided)
boolean
▸ isDataReady(): boolean
Checks if source (current visible) data is loaded and ready to be rendered
boolean
▸ isDisposed(): boolean
Returns whether this object has been disposed
boolean
▸ isLoading(): boolean
Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.
boolean
▸ isSilent(): boolean
Return true if the event dispatcher doesn't notify any events
boolean
▸ loadServerData(): Promise<GeoTIFF>
Returns promise that is loaded when server settings are ready to process
Promise<GeoTIFF>
▸ loadSourceData(): Promise<AbstractSource>
Returns promise that is resolving when data are ready to process
Promise<AbstractSource>
▸ notify<E>(type, source, args?): GeoTIFF
Notify listeners
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
type | E | event types |
source | Image | of the event |
Optional args | EventMap[E] | arguments of the event |
this
▸ off<E>(type?, callback?): GeoTIFF
Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
Optional type | E | type of the event |
Optional callback | (eventType: E, sender: GeoTIFF, args: EventMap[E]) => void | function to be called |
this
▸ on<E>(type, callback): GeoTIFF
Attach listener on event that will be called whenever the specified event is delivered to the target <p> If the callback function is already in the list of event listeners for this target, the function is not added a second time. </p> <p> If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target. </p>
| Name | Type |
|---|---|
E | extends string |
| Name | Type | Description |
|---|---|---|
type | E | type of event or property |
callback | (eventType: E, sender: GeoTIFF, args: EventMap[E]) => void | to be called |
this
▸ Protected resetLastQueryParams(): GeoTIFF
Resets saved last queried limits and layer
this
▸ Protected setDataReady(isReady, err?): GeoTIFF
Sets source (current visible) data ready/not ready, changes the corresponding promise
| Name | Type | Description |
|---|---|---|
isReady | boolean | true if source data was loaded, false if it needs to be reset |
Optional err | Error | data loading error (if exists) |
this
▸ setInflateRatio(ratio): GeoTIFF
Sets image inflate ratio to use
| Name | Type | Description |
|---|---|---|
ratio | number | image inflate ratio (e.g. 0.2 means the 20% inflation) |
this
▸ setInitialCoordinateSystem(system): GeoTIFF
Sets the data initial coordinate system.
| Name | Type | Description |
|---|---|---|
system | string | AbstractSystem | initial coordinate system |
this
Image.setInitialCoordinateSystem
▸ setMapCoordinateSystem(system): GeoTIFF
Sets map coordinate system.
| Name | Type | Description |
|---|---|---|
system | string | AbstractSystem | map coordinate system |
this
▸ setModelLimits(limits): GeoTIFF
Sets model limits for the source image in layer coordinate system. Overrides the default (from server) geotiff position
| Name | Type | Description |
|---|---|---|
limits | Rect | limits rectangle |
▸ setProperties(properties?): GeoTIFF
Sets properties
| Name | Type | Description |
|---|---|---|
Optional properties | Options | properties |
this
▸ setQueryParameter(param, value?): GeoTIFF
Sets custom query parameter to add to the data requests
| Name | Type | Description |
|---|---|---|
param | string | Record<string, string | number> | parameter name or custom parameters object (in name -> value format) |
Optional value | string | number | parameter value |
this
▸ setServerURL(url): GeoTIFF
Sets the server url to use for requesting
| Name | Type | Description |
|---|---|---|
url | string | string[] | server url |
this
▸ setSilent(bool): GeoTIFF
Set silent mode
| Name | Type | Description |
|---|---|---|
bool | boolean | flag to enable silent mode |
this
▸ setSourceTimeout(timeout): GeoTIFF
Sets timeout
| Name | Type | Description |
|---|---|---|
timeout | number | timeout |
this
▸ showLayers(layers): GeoTIFF
Sets the server layer name(s) to be shown on the layer
| Name | Type | Description |
|---|---|---|
layers | string | number | (string | number)[] | layer id(s) to be shown |
this
▸ update(): GeoTIFF
Aborts all the sent requests, resends the last one
this
▸ Static getClassName(): string
string